#pragma once

#include <string>
#include <thread>
#include <mutex>
#include <condition_variable>
#include <drogon/HttpClient.h>
#include <trantor/net/EventLoop.h>

struct HttpResponse {
    int status_code;
    std::string body;
    bool success;
};

// Utility function for blocking HTTP GET requests
HttpResponse http_get(const std::string& url, const std::string& path, bool use_https = false, double timeout_seconds = 10.0);